<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('expired_offsets', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('offset_id', 50)->index();
            $table->string('employee_id', 50)->index();
            $table->string('company_id', 50)->index();
            $table->string('dealer_id', 50)->index();
            $table->date('date_expired');
            $table->string('hours', 25);
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('expired_offsets');
    }
};
